Debian Bug report logs - #709218
developers-reference: adjust versioning convention note for security updates

version graph

Package: developers-reference; Maintainer for developers-reference is Developers Reference Maintainers <debian-policy@lists.debian.org>; Source for developers-reference is src:developers-reference.

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Tue, 21 May 2013 17:33:02 UTC

Severity: normal

Tags: patch

Found in version developers-reference/3.4.10

Fixed in version developers-reference/3.4.11

Done: David Prévot <taffit@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, team@security.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#709218; Package developers-reference. (Tue, 21 May 2013 17:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, team@security.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>. (Tue, 21 May 2013 17:33:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: developers-reference: adjust versioning convention note for security updates
Date: Tue, 21 May 2013 19:31:39 +0200
[Message part 1 (text/plain, inline)]
Package: developers-reference
Version: 3.4.10
Severity: normal
Tags: patch

Hi

In #685646 the advise for versioning for {stable,testing}{,-security}
uploads was adjusted. In [1] there is a missing bit for it refering to
the older convention +codename1. I tried to address this change in
attached patch.

 [1] http://www.debian.org/doc/manuals/developers-reference/pkgs.html#bug-security

Regards,
Salvatore
[security-uploads-version-numbers.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#709218; Package developers-reference. (Wed, 22 May 2013 08:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Wed, 22 May 2013 08:45:06 GMT) Full text and rfc822 format available.

Message #10 received at 709218@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Salvatore Bonaccorso <carnil@debian.org>, 709218@bugs.debian.org
Subject: Re: Bug#709218: developers-reference: adjust versioning convention note for security updates
Date: Wed, 22 May 2013 10:42:57 +0200
On Tue, 21 May 2013, Salvatore Bonaccorso wrote:
> In #685646 the advise for versioning for {stable,testing}{,-security}
> uploads was adjusted. In [1] there is a missing bit for it refering to
> the older convention +codename1. I tried to address this change in
> attached patch.

Thanks, applied.

-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Added tag(s) pending. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Wed, 22 May 2013 08:45:09 GMT) Full text and rfc822 format available.

Reply sent to David Prévot <taffit@debian.org>:
You have taken responsibility. (Wed, 07 Aug 2013 12:51:50 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Wed, 07 Aug 2013 12:51:50 GMT) Full text and rfc822 format available.

Message #17 received at 709218-close@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: 709218-close@bugs.debian.org
Subject: Bug#709218: fixed in developers-reference 3.4.11
Date: Wed, 07 Aug 2013 12:48:02 +0000
Source: developers-reference
Source-Version: 3.4.11

We believe that the bug you reported is fixed in the latest version of
developers-reference, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 709218@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Prévot <taffit@debian.org> (supplier of updated developers-reference package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 07 Aug 2013 14:06:40 +0200
Source: developers-reference
Binary: developers-reference developers-reference-de developers-reference-fr developers-reference-ja
Architecture: source all
Version: 3.4.11
Distribution: unstable
Urgency: low
Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
Changed-By: David Prévot <taffit@debian.org>
Description: 
 developers-reference - guidelines and information for Debian developers
 developers-reference-de - guidelines and information for Debian developers, in German
 developers-reference-fr - guidelines and information for Debian developers, in French
 developers-reference-ja - guidelines and information for Debian developers, in Japanese
Closes: 709218
Changes: 
 developers-reference (3.4.11) unstable; urgency=low
 .
   * Team upload.
 .
   [ Raphaël Hertzog ]
   * Update versioning advice for security uploads as well. Closes: #709218
     Thanks to Salvatore Bonaccorso for the patch.
Checksums-Sha1: 
 86cbea6c98683106a3d85ad72aed130e40637aaf 1920 developers-reference_3.4.11.dsc
 c590d32b1b4106619081a0a6091643fc219f664b 444344 developers-reference_3.4.11.tar.xz
 1ac64c738b4d8db52ddbe817155613d24048d5b5 797236 developers-reference_3.4.11_all.deb
 747dfd5bd916bea0632cd4ac1f5bb5491a517808 886882 developers-reference-de_3.4.11_all.deb
 0e6bb173479914b2c9f81eb9cc776f7e891b5e2b 869494 developers-reference-fr_3.4.11_all.deb
 6574b72276d1654104df1bfb198a563bb05a7c1e 1346830 developers-reference-ja_3.4.11_all.deb
Checksums-Sha256: 
 89bb8da96162e405308ef71fc37dc43d854d93493dc8229f93daba1a037968c9 1920 developers-reference_3.4.11.dsc
 8794780313f402719a2f3977e40b08c9b7f02ef958f312c57bc4eef71be84ba4 444344 developers-reference_3.4.11.tar.xz
 85d2af0f7d99ec32ba6b3ceecdda3c0bdd03cc5102f66dc40f3013e893288cc2 797236 developers-reference_3.4.11_all.deb
 4f5269f0d42c788bbec411435dc28eeb4214ffe82e178a0abfc2214272ac44aa 886882 developers-reference-de_3.4.11_all.deb
 013c20bc8dfc477001314cd0fbe64b7eec0df7cc8611a7805068ba49b5b659fa 869494 developers-reference-fr_3.4.11_all.deb
 b9dd578a309fc3f78638a2a4f9e4298dc351bd9fd135d7e4fff61a46fff0984c 1346830 developers-reference-ja_3.4.11_all.deb
Files: 
 747768a2d116d0491228524635cff107 1920 doc optional developers-reference_3.4.11.dsc
 fe83e804f6fb3da269b476ec113e34a5 444344 doc optional developers-reference_3.4.11.tar.xz
 fa47a0688528d48aea9a030679e05202 797236 doc optional developers-reference_3.4.11_all.deb
 ebee9049b9a60915626a805916315758 886882 doc optional developers-reference-de_3.4.11_all.deb
 7ff20d22d2db9377daaf7246e29c29c2 869494 doc optional developers-reference-fr_3.4.11_all.deb
 055c86e96cf9b6dc1782fce6524b2eb6 1346830 doc optional developers-reference-ja_3.4.11_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJSAj6sAAoJEAWMHPlE9r08h6MH/0E26snI06PW9pao9gbu90Yh
cZduIIxj9OYLKGuVN4taZmmAvg1Y6t9ZbJUd1n4XDdg10myBv3NJndyAXJQL3CqA
PUPDM1sPmI7+0p+YjUWT3Uh7Y65vI1EX8Jlx3H2FVuX3bL+3QgjRl5N9uhBcRTS6
B4lU/OBONZ3jc0V5DFOFngxUD52nZ8xQCiD5vfXH5KM3GRygCASIzRJLnaXbGe3r
T1LH0ELY/1J9I5wOZKnFQeGyipcQ08DavuyWqp0qaV2G+nCmtMs7aRUv4rixkY6D
h2SXO2W/4R2lEV8NDDhP8/y6r2OaPRpQIDR5XL/wZTKMZXYpAfUL+CeG3Y5WjpU=
=R5Cb
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 Sep 2013 07:28:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:19:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.